Subject: Francesca Palombini's Discuss on draft-ietf-bfd-rfc9127-bis-02: (with DISCUSS and COMMENT)

From: Francesca Palombini via Datatracker <[email-masked]>
Date: Wed, 06 Apr 2022 07:29:12 -0700

Francesca Palombini has entered the following ballot position for
draft-ietf-bfd-rfc9127-bis-02: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ 
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-bfd-rfc9127-bis/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

Thank you for the work on this document.

I have noticed one easy to fix error in the examples, and I additionally have
two comments I'd like to talk about before the document is approved - these are
non blocking, but answers are appreciated.

Thanks,
Francesca

1. -----

   In this case, an interface named "Bundle-Ether1" of interface type
   "ieee8023adLag" has a desired transmit interval and required receive
   interval set to 10 ms.

FP: But the example actually uses intervals of 100ms:

                   <desired-min-tx-interval>
                     100000
                   </desired-min-tx-interval>
                   <required-min-rx-interval>
                     100000
                   </required-min-rx-interval>

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

2. -----

        This version of this YANG module is part of RFC 9127; see the
        RFC itself for full legal notices.";

FP: Just double checking as I am not sure about what's common for new revisions
of existing modules - Should it be this RFC number, rather than or additionally
to 9127? (several occurrences in the doc)

3. -----

Section 2.1.1.

FP: I was expecting to see some text about expected behavior if both
"min-interval" and any of the other interval parameters are (incorrectly) used
at the same time. I expect a value should be discarded, which one? Also, maybe
a bit of a late comment and I will leave it to the authors and wg to decide if
including it is worth it, in Section 3 it would have been useful to see one
example using the "min-interval".

---

From: Mahesh Jethanandani <[email-masked]>
Date: Wed, 6 Apr 2022 11:08:04 -0700

Hi Francesca,

Thank you for the review. Please inline for the responses.

> On Apr 6, 2022, at 7:29 AM, Francesca Palombini via Datatracker <[email-masked]> wrote:
> 

Fixed. Will be published as part of the next update.

Good catch. The new revision should refer to this RFC number (XXXX), while maintaining the older revision (2021-10-21) for RFC 9127. Will update.

> example using the "min-interval".

The min-interval and other other interval parameters (desired-min-tx-interval and required-min-rx-interval) are a choice statement. You get to either select the min-interval or the other two interval values.

Thanks.

Mahesh Jethanandani
[email-masked]

---

From: Francesca Palombini <[email-masked]>
Date: Thu, 7 Apr 2022 14:20:51 +0000

Hi Mahesh,

Thank you for the update – I will clear my DISCUSS shortly.

For the COMMENTS – I still see an occurrence of “This version of this YANG module is part of RFC 9127<https://datatracker.ietf.org/doc/html/rfc9127>” in Appendix A.1. Was this missed or supposed to be this way (as this is an example)?

Thanks,
Francesca

From: Mahesh Jethanandani <[email-masked]>
Date: Wednesday, 6 April 2022 at 20:08
To: Francesca Palombini <[email-masked]>
Cc: The IESG <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, rtg-bfd@ietf. org <[email-masked]>, Jeffrey Haas <[email-masked]>
Subject: Re: Francesca Palombini's Discuss on draft-ietf-bfd-rfc9127-bis-02: (with DISCUSS and COMMENT)
Hi Francesca,

On Apr 6, 2022, at 7:29 AM, Francesca Palombini via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:

Thanks,
Francesca

1. -----

2. -----

3. -----

Section 2.1.1.

Thanks.

Mahesh Jethanandani
[email-masked]<mailto:[email-masked]>

---

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 7 Apr 2022 08:45:00 -0700

Hi Francesca,

> On Apr 7, 2022, at 7:20 AM, Francesca Palombini <[email-masked]> wrote:
> 
> Hi Mahesh,
>  
> For the COMMENTS – I still see an occurrence of “This version of this YANG module is part of RFC 9127 <https://datatracker.ietf.org/doc/html/rfc9127>” in Appendix A.1. Was this missed or supposed to be this way (as this is an example)?

The example was part of RFC 9127 and has not changed since then, unlike some of the models in the draft. Therefore, the example refers to RFC 9127 and not this draft. HTH explain.

Regards.

> On Apr 6, 2022, at 7:29 AM, Francesca Palombini via Datatracker <[email-masked] <mailto:[email-masked]>> wrote:
>  
> Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ <https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/> 
> https://datatracker.ietf.org/doc/draft-ietf-bfd-rfc9127-bis/ <https://datatracker.ietf.org/doc/draft-ietf-bfd-rfc9127-bis/>
> 
> 
> 
> [email-masked] <mailto:[email-masked]>

Mahesh Jethanandani
[email-masked]

---

From: Francesca Palombini <[email-masked]>
Date: Thu, 7 Apr 2022 15:47:40 +0000

Makes sense, thank you for the explanation. John, looks like you were right and this document is ready to be sent forward without further update.

Francesca

Date: Thursday, 7 April 2022 at 17:45

On Apr 7, 2022, at 7:20 AM, Francesca Palombini <[email-masked]<mailto:[email-masked]>> wrote:

Hi Mahesh,

Regards.

Thanks,
Francesca

From: Mahesh Jethanandani <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 6 April 2022 at 20:08
To: Francesca Palombini <[email-masked]<mailto:[email-masked]>>
Cc: The IESG <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>, rtg-bfd@ietf. org <[email-masked]<mailto:[email-masked]>>, Jeffrey Haas <[email-masked]<mailto:[email-masked]>>
Subject: Re: Francesca Palombini's Discuss on draft-ietf-bfd-rfc9127-bis-02: (with DISCUSS and COMMENT)
Hi Francesca,

Thanks,
Francesca

1. -----

2. -----

3. -----

Section 2.1.1.

Thanks.

Mahesh Jethanandani

Mahesh Jethanandani